//
//  SampleEntryView.swift
//  Reflect (iOS)
//
//  Created by Trey Tartt on 4/5/22.
//

import SwiftUI

struct SampleEntryView: View {
    @State private var sampleListEntry = DataController.shared.generateObjectNotInArray(forDate: Date(), withMood: Mood.great)
    @AppStorage(UserDefaultsStore.Keys.theme.rawValue, store: GroupUserDefaults.groupDefaults) private var theme: Theme = .system

    var body: some View {
        ZStack {
            theme.currentTheme.secondaryBGColor

            VStack {
                HStack {
                    Spacer()
                    Image(systemName: "arrow.triangle.2.circlepath.circle")
                        .resizable()
                        .frame(width: 20, height: 20, alignment: .trailing)
                        .foregroundColor(Color(UIColor.systemGray))
                        .onTapGesture {
                            sampleListEntry = DataController.shared.generateObjectNotInArray(forDate: Date(), withMood: sampleListEntry.mood.next)
                        }
                }
                Spacer()
            }.padding()
            
            VStack(alignment:.leading) {
                EntryListView(entry: sampleListEntry)
                    .padding()
            }
        }
        .fixedSize(horizontal: false, vertical: true)
        .cornerRadius(Constants.viewsCornerRaidus, corners: [.topLeft, .topRight, .bottomLeft, .bottomRight])
    }
}

struct SampleEntryView_Previews: PreviewProvider {
    static var previews: some View {
        SampleEntryView()
    }
}
